org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.UnlockObjectsResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.UnlockObjectsResult

- Enclosing interface:
    CDOSessionProtocol

      public static final class CDOSessionProtocol.UnlockObjectsResult
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnlockObjectsResult(CDOLockState[] newLockStates, long timestamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOLockState[]` | `getNewLockStates()`
    `long` | `getTimestamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnlockObjectsResult

          public UnlockObjectsResult(CDOLockState[] newLockStates,
                                     long timestamp)

  - ### Method Detail

    - #### getNewLockStates

          public CDOLockState[] getNewLockStates()

    - #### getTimestamp

          public long getTimestamp()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html